Package org.apache.maven.shared.artifact.filter.resolve

## Interface TransformableFilter

All Known Implementing Classes:
  `AbstractFilter`, `AndFilter`, `ExclusionsFilter`, `OrFilter`, `PatternExclusionsFilter`, `PatternInclusionsFilter`, `ScopeFilter`

    public interface TransformableFilter

The element interface of the visitor pattern for transforming filters.

Since:
  3.0
Author:
  Robert Scholte

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `transform​(FilterTransformer<T> transformer)` Subclasses should include the following code:

### Method Detail

#### transform

    <T> T transform​(FilterTransformer<T> transformer)

Subclasses should include the following code:

       @Override
       public abstract <T> T transform( FilterTransformer<T> transformer )
       {
           return transformer.transform( this );
       }

Type Parameters:
  `T` - the interface of the tool specific filter
Parameters:
  `transformer` - the tool specific transformer, may not be `null`
Returns:
  the transformed value, never `null`